public class Konverter {
  /**
   * Diese Methode konvertiert einen String von int-Werten in ein int-Array. Der String muss aus
   * komma-separierten int-Werten bestehen.
   *
   * @param string Der zu konvertierende String
   * @return Das konvertierte int-Array
   */
  public static int[] konvertiereZuIntArray(String string) {
    String[] stringArray = string.split(",");
    int[] intArray = new int[stringArray.length];
    for (int i = 0; i < stringArray.length; i++) {
      intArray[i] = Integer.parseInt(stringArray[i]);
    }
    return intArray;
  }

  /**
   * Diese Methode konvertiert ein int-Array in einen komma-separierten String.
   *
   * @param intArray Das zu konvertierende int-Array
   * @return Der String aus komma-separierten int-Werten
   */
  public static String konvertiereZuString(int[] intArray) {
    StringBuffer result = new StringBuffer();
    for (int i = 0; i < intArray.length - 1; i++) {
      result.append(intArray[i]);
      result.append(",");
    }
    result.append(intArray[intArray.length - 1]);
    return result.toString();
  }
}
